org.eclipse.jgit.transport

## Interface TransportBundle

All Superinterfaces:
  PackTransport

All Known Implementing Classes:
  TransportBundleStream

    public interface TransportBundle
    extends PackTransport

Marker interface for transports that supports fetching from a git bundle (sneaker-net object transport).

Push support for a bundle is complex, as one does not have a peer to communicate with to decide what the peer already knows. So push is not supported by the bundle transport.

### Field Summary

Fields
`static String` `V2_BUNDLE_SIGNATURE` Bundle signature

### Field Detail

#### V2_BUNDLE_SIGNATURE

    static final String V2_BUNDLE_SIGNATURE

Bundle signature

See Also:
  Constant Field Values